Skip to content
API reference

Push notifications

Notifications on a phone or computer.

GET/push

List push

Needs the permission notifications:read.

curl -X GET https://crm.anibrosdesign.com/api/v1/push \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 403 429

PUT/push/clients/{id}

Set clients (push)

Needs the permission notifications:read.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
enabled requiredboolean
curl -X PUT https://crm.anibrosdesign.com/api/v1/push/clients/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"enabled":true}'

Responses: 200 400 401 402 403 404 412 429

POST/push/subscribe

Subscribe (pushs)

Needs the permission notifications:read.

Body fieldTypeNotes
endpoint requiredstringup to 2000 characters
keys requiredobject
keys.p256dh requiredstringat least 60 characters. up to 200 characters
keys.auth requiredstringat least 16 characters. up to 100 characters
userAgentstring or null
curl -X POST https://crm.anibrosdesign.com/api/v1/push/subscribe \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"endpoint":"text","keys":{"p256dh":"text","auth":"text"},"userAgent":"text"}'

Responses: 201 400 401 402 403 429

POST/push/test

Test (pushs)

Needs the permission notifications:read.

curl -X POST https://crm.anibrosdesign.com/api/v1/push/test \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 402 403 429

POST/push/unsubscribe

Unsubscribe (pushs)

Needs the permission notifications:read.

Body fieldTypeNotes
endpoint requiredstringup to 2000 characters
curl -X POST https://crm.anibrosdesign.com/api/v1/push/unsubscribe \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"endpoint":"text"}'

Responses: 204 400 401 402 403 429

Something missing or unclear? Tell us.

Chat on WhatsApp